From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-embedded/esptool/
Date: Fri, 4 Nov 2022 17:13:05 +0000 (UTC) [thread overview]
Message-ID: <1667581907.d0d512f2ef700633ed27b7e4c5235e5d4381dd8b.matthew@gentoo> (raw)
commit: d0d512f2ef700633ed27b7e4c5235e5d4381dd8b
Author: Martin Dummer <martin.dummer <AT> gmx <DOT> net>
AuthorDate: Fri Sep 16 10:04:54 2022 +0000
Commit: Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Fri Nov 4 17:11:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0d512f2
dev-embedded/esptool: add 4.3
Signed-off-by: Martin Dummer <martin.dummer <AT> gmx.net>
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>
dev-embedded/esptool/Manifest | 1 +
dev-embedded/esptool/esptool-4.3.ebuild | 68 +++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/dev-embedded/esptool/Manifest b/dev-embedded/esptool/Manifest
index 6bdfb32454c0..8d9dd32c09b1 100644
--- a/dev-embedded/esptool/Manifest
+++ b/dev-embedded/esptool/Manifest
@@ -1,2 +1,3 @@
DIST esptool-3.3.1.tar.gz 7261340 BLAKE2B c6ee391dcbc331d9f931bfd969333fc3bfc5628d422d52e2963c9d465f4680dca5debaf17cd2f6aca0db9dcc06563fe775d7d6c15dacdff481c52577c26d4364 SHA512 8da34f7b555513d499141ce403f19c3e77b6944eecde440c757faf3bbf5e915e44ff0bcabf1b2cb7f5fe26caa717bb47104ad808c46feaf1dea254d548048095
DIST esptool-4.2.1.tar.gz 7271498 BLAKE2B af1c17e08cad057e4534599481da6366460e9eff02de0dfe1cd1163885d315cefd780e034550e7cf09f09f4f3430108675722b9a57109a94c5519bf0c0c158b2 SHA512 b2b7209371330ae0764da5650b48a37ec750a3514951b8e39576b4e54ea682e2a43faf56ce95327071fe88bf4f74762a39483e1edfe2bdf9c5457537888c469f
+DIST esptool-4.3.tar.gz 7216987 BLAKE2B 9c48b6884667913b5ffe8d0bef22fcb27142a42a89c802f2f1f2f5355d1a967c398f86a398574310fcb1de5b37a1f5fb7e9e7f78058e5ad38008b097d8debd66 SHA512 aa761dae802d67553096698b40a97ae1fa33995dbc81a16a521ffa3ed1ec87470b1457853e4a1aaedfb94c46770e58712a25cac62a4bd05d85503881e507b493
diff --git a/dev-embedded/esptool/esptool-4.3.ebuild b/dev-embedded/esptool/esptool-4.3.ebuild
new file mode 100644
index 000000000000..ca87dabe0042
--- /dev/null
+++ b/dev-embedded/esptool/esptool-4.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1
+
+DESCRIPTION="Utility to communicate with the ROM bootloader in Espressif ESP8266 and ESP32"
+HOMEPAGE="https://github.com/espressif/esptool"
+SRC_URI="https://github.com/espressif/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/bitstring[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/ecdsa-0.16.0[${PYTHON_USEDEP}]
+ dev-python/pyserial[${PYTHON_USEDEP}]
+ dev-python/reedsolomon[${PYTHON_USEDEP}]
+ ')
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ')
+ test? ( $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/pyelftools[${PYTHON_USEDEP}]
+ ') )
+"
+
+python_test() {
+ "${EPYTHON}" test/test_imagegen.py || die "test_imagegen.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espsecure.py || die "test_espsecure.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_merge_bin.py || die "test_merge_bin.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_image_info.py || die "test_image_info.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_modules.py || die "test_modules.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32|| die "test_espefuse_host.py esp32 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32c2 || die "test_espefuse_host.py esp32c2 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32c3 || die "test_espefuse_host.py esp32c3 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32s2 || die "test_espefuse_host.py esp32s2 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32s3 || die "test_espefuse_host.py esp32s3 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32s3beta2 || die "test_espefuse_host.py esp32s3beta2 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32h2beta1 || die "test_espefuse_host.py esp32h2beta1 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32c6 || die "test_espefuse_host.py esp32c6 failed with ${EPYTHON}"
+ # test/test_esptool.py and test/test_espefuse.py need real hardware connected
+}
+
+pkg_postinst() {
+ if ver_test ${REPLACING_VERSIONS} -lt 4; then
+ ewarn "${P} - new 4.x release with breaking changes:"
+ ewarn " - Public API has been defined by limiting access to internals that have been refactored into multiple source files"
+ ewarn " - If active security features are detected, the default behavior changes to prevent unintentional bricking"
+ ewarn " - Flash parameters in an image header can now be changed only when no SHA256 digest is appended"
+ ewarn " - The ESP8684 alias has been removed, ESP32-C2 has to be used"
+ ewarn " - Megabit flash sizes have been deprecated, use megabyte units from now on"
+ fi
+}
next reply other threads:[~2022-11-04 17:13 UTC|newest]
Thread overview: 79+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-04 17:13 Matthew Smith [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-13 23:55 [gentoo-commits] repo/gentoo:master commit in: dev-embedded/esptool/ Sam James
2025-02-22 8:02 Ulrich Müller
2025-01-09 8:26 Florian Schmaus
2024-07-03 22:42 Sam James
2024-07-03 22:38 Sam James
2024-05-29 5:37 Joonas Niilola
2024-05-29 5:37 Joonas Niilola
2024-04-15 20:02 Florian Schmaus
2024-04-15 6:03 Joonas Niilola
2024-04-15 6:03 Joonas Niilola
2024-02-28 6:55 Joonas Niilola
2024-02-28 6:55 Joonas Niilola
2024-01-28 23:15 Sam James
2023-06-29 12:47 Joonas Niilola
2023-06-11 11:38 Viorel Munteanu
2023-06-11 11:38 Viorel Munteanu
2023-06-11 11:38 Viorel Munteanu
2023-06-01 20:04 Sam James
2023-05-18 19:42 Sam James
2023-04-03 10:26 Viorel Munteanu
2023-04-03 10:26 Viorel Munteanu
2023-03-08 14:13 Joonas Niilola
2023-02-27 13:12 Joonas Niilola
2023-02-27 13:12 Joonas Niilola
2023-02-16 5:01 Sam James
2023-01-19 1:39 Sam James
2022-12-21 22:47 Sam James
2022-12-05 10:54 Florian Schmaus
2022-11-04 17:13 Matthew Smith
2022-11-04 17:13 Matthew Smith
2022-09-17 6:04 Joonas Niilola
2022-08-09 16:33 Matthew Smith
2022-07-26 13:10 Joonas Niilola
2022-07-26 13:10 Joonas Niilola
2022-06-07 5:21 Sam James
2022-06-03 11:01 Joonas Niilola
2022-06-03 11:01 Joonas Niilola
2022-06-03 11:01 Joonas Niilola
2022-06-03 11:01 Joonas Niilola
2022-03-31 11:45 Joonas Niilola
2022-03-31 11:45 Joonas Niilola
2022-03-04 13:53 Joonas Niilola
2021-12-07 7:48 Agostino Sarubbo
2021-10-31 2:55 Sam James
2021-10-31 2:55 Sam James
2021-08-08 7:45 Agostino Sarubbo
2021-07-05 11:16 Michał Górny
2021-06-15 1:14 Sam James
2021-06-15 1:14 Sam James
2021-02-12 16:20 Sam James
2021-02-04 14:42 Agostino Sarubbo
2021-02-04 14:09 Sam James
2020-12-12 4:32 Sam James
2020-12-12 4:27 Sam James
2020-11-28 9:15 Joonas Niilola
2020-11-13 2:46 Sam James
2020-11-12 22:54 Thomas Deutschmann
2020-10-11 9:30 Joonas Niilola
2020-10-04 21:15 Michał Górny
2020-08-25 12:43 Sam James
2020-05-07 21:21 Andreas Sturmlechner
2020-02-05 19:12 Michał Górny
2019-11-24 21:07 Aaron Bauman
2019-11-24 19:33 Manuel Rüger
2019-05-31 18:58 Georgy Yakovlev
2018-04-05 21:33 Michał Górny
2018-03-20 11:45 Manuel Rüger
2018-03-15 20:17 Markus Meier
2018-01-08 23:57 Thomas Deutschmann
2017-12-23 15:08 Manuel Rüger
2017-12-16 10:31 Tobias Klausmann
2017-11-24 23:09 Michael Palimaka
2017-11-21 18:04 Manuel Rüger
2017-09-10 10:54 Manuel Rüger
2017-09-10 10:54 Manuel Rüger
2017-06-26 17:31 Manuel Rüger
2017-06-15 15:31 Manuel Rüger
2017-05-14 11:10 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1667581907.d0d512f2ef700633ed27b7e4c5235e5d4381dd8b.matthew@gentoo \
--to=matthew@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox